/*****************************************************
This program was produced by the
CodeWizardAVR V1.25.9 Professional
Automatic Program Generator
 Copyright 1998-2008 Pavel Haiduc, HP InfoTech s.r.l.
http://www.hpinfotech.com

Project : 
Version : 
Date    : 22.11.2009
Author  : Halex                           
Company : Halex                           
Comments:      
  Proteus   .  88
  PortA  PortC 


Chip type           : ATmega8515
Program type        : Application
Clock frequency     : 4,000000 MHz
Memory model        : Small
External SRAM size  : 0
Data Stack size     : 128
*****************************************************/

// CodeVisionAVR C Compiler
// (C) 1998-2002 Pavel Haiduc, HP InfoTech S.R.L.

// I/O registers definitions for the ATmega8515(L)


#pragma used+
#pragma used+
sfrb OSCCAL=4;
sfrb PINE=5;
sfrb DDRE=6;
sfrb PORTE=7;
sfrb ACSR=8;
sfrb UBRRL=9;
sfrb UCSRB=0xa;
sfrb UCSRA=0xb;
sfrb UDR=0xc;
sfrb SPCR=0xd;
sfrb SPSR=0xe;
sfrb SPDR=0xf;
sfrb PIND=0x10;
sfrb DDRD=0x11;
sfrb PORTD=0x12;
sfrb PINC=0x13;
sfrb DDRC=0x14;
sfrb PORTC=0x15;
sfrb PINB=0x16;
sfrb DDRB=0x17;
sfrb PORTB=0x18;
sfrb PINA=0x19;
sfrb DDRA=0x1a;
sfrb PORTA=0x1b;
sfrb EECR=0x1c;
sfrb EEDR=0x1d;
sfrb EEARL=0x1e;
sfrb EEARH=0x1f;
sfrw EEAR=0x1e;   // 16 bit access
sfrb UBRRH=0x20;
sfrb UCSRC=0x20;
sfrb WDTCR=0x21;
sfrb ICR1L=0x24;
sfrb ICR1H=0x25;
sfrw ICR1=0x24;   // 16 bit access
sfrb OCR1BL=0x28;
sfrb OCR1BH=0x29;
sfrw OCR1B=0x28;  // 16 bit access
sfrb OCR1AL=0x2a;
sfrb OCR1AH=0x2b;
sfrw OCR1A=0x2a;  // 16 bit access
sfrb TCNT1L=0x2c;
sfrb TCNT1H=0x2d;
sfrw TCNT1=0x2c;  // 16 bit access
sfrb TCCR1B=0x2e;
sfrb TCCR1A=0x2f;
sfrb SFIOR=0x30;
sfrb OCR0=0x31;
sfrb TCNT0=0x32;
sfrb TCCR0=0x33;
sfrb MCUCSR=0x34;
sfrb MCUCR=0x35;
sfrb EMCUCR=0x36;
sfrb SPMCR=0x37;
sfrb TIFR=0x38;
sfrb TIMSK=0x39;
sfrb GIFR=0x3a;
sfrb GICR=0x3b;
sfrb SPL=0x3d;
sfrb SPH=0x3e;
sfrb SREG=0x3f;
#pragma used-

// Interrupt vectors definitions


// Needed by the power management functions (sleep.h)
#asm
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x20
	.SET power_ctrl_reg=mcucr
	#endif
#endasm


// CodeVisionAVR C Compiler
// (C) 1998-2000 Pavel Haiduc, HP InfoTech S.R.L.


#pragma used+
#pragma used+

void delay_us(unsigned int n);
void delay_ms(unsigned int n);

#pragma used-

//  
unsigned char x, y;
unsigned char val_X, val_Y;
//*****************************************************
//**********   ***********
//*****************************************************
void init(void)
{
//Port       1
PORTA=0xFF;
DDRA=0xFF;

// Port B  
PORTB=DDRB=0x00;
// Port C      0
PORTC=0x00;
DDRC=0xFF;

// Port D  
PORTD=DDRD=0x00;

// Port E D  
PORTE=0x00;
DDRE=0x00;

// Timer/Counter 0   
TCCR0=TCNT0=OCR0=0x00;

// Timer/Counter 1   
TCCR1A=TCCR1B=0x00;
TCNT1H=TCNT1L=0x00;
ICR1H=ICR1L=0x00;
OCR1AH=OCR1AL=0x00;
OCR1BH=OCR1BL=0x00;

//   
// INT0: Off
// INT1: Off
// INT2: Off
MCUCR=0x00;
EMCUCR=0x00;

//   Timer(s)/Counter(s) 
TIMSK=0x00;

// Analog Comparator 
ACSR=0x80;
}
//*****************************************************
//**************   *******************
//*****************************************************
void main(void)
{

init(); //  


while (1)
      {
      val_Y=0xFE;
              for (y=0; y<8; ++y) {
              PORTA=val_Y;
              val_X=0x01;
                      for (x=0; x<8; ++x) {
                      PORTC = val_X;
                      delay_ms(50);
                      PORTC=0x00;
                      delay_ms(5);
                      val_X<<=1;
                      };
              val_Y<<=1;
              val_Y|=1;
              }

      };
}
